import pygame

class ImgManager(object):

    def __init__(self, img):
        self.img = img
        self.imgs = self.build_imgs()

    def build_imgs(self):
        imgs = {}
        for angle in range(-360, 360):
            img = pygame.transform.rotate(self.img, angle).convert()
            img.set_colorkey((255,255,255))
            imgs[angle] = img
        return imgs

##    def build_imgs(self):
##        imgs = {}
##        for angle in range(-360, 360):
##            img = pygame.transform.rotate(self.img, angle).convert()
##            img.set_colorkey((255,255,255))
##            imgs[angle] = img
##        return imgs