
def get_father():
    METADATA_PATH = "./metadata" #create a file for storing data on application
    mdm = thorpy.MetaDataManager()
    mdm.read_data(METADATA_PATH)
    #try loading screen size and flags (with default values indicated as arguments)
    w,h,flags = mdm.get_display_data(METADATA_PATH, w=800, h=600, flags=0)
    app = thorpy.Application((w,h), "NinArow", flags=flags)
    #
    mdm.load_font_data(METADATA_PATH)
    e_play = thorpy.make_button("Play", set_game_and_play)
    e_thorpy_options = thorpy.make_global_display_options(METADATA_PATH,
                                                            "Application options")
    e_credits= thorpy.make_button("Credits", launch_credits)
    e_quit = thorpy.make_button("Quit", thorpy.functions.quit_menu_func)
    elements = [e_play,e_options,e_thorpy_options,e_credits,e_quit]
    e_background = thorpy.Background.make(elements=elements)
    thorpy.store(e_background)

