import pygame

W,H = 800, 600
MENU_WIDTH = 200
GAME_RECT = pygame.Rect(MENU_WIDTH,0, W-MENU_WIDTH,H)
MAX_TEXT_WIDTH = 300

DIALOG_SIZE = (200,200)

MIN_D = 1e-4
K_NUMBERS = [eval("pygame.K_i".replace("i",str(i))) for i in range(10)]

TRANSP_MENU = 150

LAUNCHER_SHIFT = 2
LAUNCH_DELAY = 3000
LAUNCH_X = GAME_RECT.x + 2
DRAW_FPS = 80
C_SMALL = (50,50,50)
C_MED = (100,100,100)
C_BIG = (255,0,0)

GODNESS_SIZE = (0.9*MENU_WIDTH, 30)
MAX_GODNESS = 100
MAX_WARP = 10.

V0 = GAME_RECT.center

COSTS = {"small":2, "medium":5, "big":8, "burning":10, "explosive":10}

MIN_MASS = 1e-4

MULT_EXPLO = 5.
MULT_FIRE = 2.

R_SMALL = 3
R_MED = 4
R_BIG = 6
M_SMALL = 0.25
M_MED = 0.5
M_BIG = 1.2

MAX_DEBRIS_SIZE = 6

OBJ_DESTROY = 0
OBJ_ORBIT = 1
OBJ_DEORBIT = 2
OBJ_SURVIVE = 3

FONT_SIZE_OBJECTIVES = 10

EXPL_R = 40
N_EXPLOSIONS = 16

COLL_CONST = 1.